//-----------------------------------------------------------------
//AndroidSoundManager Class
//読み込まれた効果音を管理するためのクラス
//Copyright：TOMY & OpenGLで作るAndroidSDKゲームプログラミング(参考って意味で)
//Ver:1.000
//※　AndoridSEManagerか、AndroidSoundEffectManager　クラスって名前のほうが良かったかも
//-----------------------------------------------------------------
package jp.denpa.tomy.opengl_es.wrap;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;


import android.media.SoundPool;;

public class AndroidSoundManager {

	//追加されたSoundを保持する為のリスト（コレクションフレームワーク）(Integer==int)
	private static Map<Integer, SoundPool> mSeMap = new Hashtable<Integer, SoundPool>();

	//ロードしたSoundを追加する(再生用のファイルのId, Idが突っ込まれているSoundPool変数)
	public static final void AddSound(int SeId, SoundPool mSePool){
		mSeMap.put(SeId,mSePool);			//引数：(キー【名前】、バリュー【値】)
	}

	public static final void DeleteSound(int SeId){
		if(mSeMap.containsKey(SeId)){
			mSeMap.get(SeId).release();
			mSeMap.remove(SeId);
		}

	}

	//すべてのSoundを削除する
	public static final void DeleteAll(){
		List<Integer> keys = new ArrayList<Integer>(mSeMap.keySet());	//mSeMapに入っているキーの一覧を取得
		for(Integer key : keys){
			DeleteSound(key);			//mSeMapで取得した値の数だけ回してDelete。
		}
	}
}
