//-----------------------------------------------------------------
//GraphicUtil Class
//OpenGLにおけるバッファの転送を簡略化するためのクラス
//Copyright：TOMY
//Ver:1.000
//-----------------------------------------------------------------
package jp.denpa.tomy.opengl_es.wrap;

import java.nio.*;

public class GraphicUtil {
	public static final FloatBuffer makeFloatBuffer(float[] arr){
		//システムメモリ領域を確保
		ByteBuffer bb = ByteBuffer.allocateDirect(arr.length * 4);
		bb.order(ByteOrder.nativeOrder());
		FloatBuffer fb = bb.asFloatBuffer();
		fb.put(arr);				//配列を転送
		fb.position(0);
		return fb;
	}

}
