//-----------------------------------------------------------------
//MyView Class
//MyViewクラス
//Copyright：TOMY
//Ver:1.000
//-----------------------------------------------------------------
package jp.denpa.tomy.games;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

import jp.denpa.tomy.opengl_es.wrap.Vector2;


//import jp.denpa.TouchBoll.GameMain;
//import jp.denpa.TouchBoll.MyView;
//import jp.denpa.TouchBoll.Result;
//import jp.denpa.TouchBoll.Start;
//import jp.denpa.TouchBoll.MyView.FlameNo;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.opengl.GLSurfaceView;
import android.opengl.GLUtils;
import android.view.MotionEvent;
import android.view.SurfaceHolder;
import android.view.SurfaceView;


public class MyGLSurfaceView extends GLSurfaceView {

	//定数	(列挙名が付いている場合は整数固定ではなくクラスみたいな扱いになる【int感覚で使えない】)
	enum Touch{
		TOUCH_CLEAR,	//タッチ クリア
		TOUCH_DOWN,		//タッチ ダウン
		TOUCH_UP,		//タッチ アップ
		TOUCH_MOVE,  	//タッチ ムーブ
		TOUCH_NULL,		//なんの操作もされてない時（画面に触れてない時）
	}

	//グローバル変数
	public static SurfaceHolder holder;          //サーフェースオブジェクト
	public static Canvas canvas;                 //キャンバスオブジェクト

	public static int touchDownX,touchDownY;     //タッチダウン座標
	public static int touchUpX,touchUpY;         //タッチアップ座標
	public static int touchMoveX,touchMoveY;     //タッチ移動処理
	public static Vector2 V2TouchPos = new Vector2(0,0);		//Vector2型のタッチ座標（アップ、ダウン兼用）

	public static Touch touchFlg;            					//タッチフラグ

//	public static Resources resource;       					//リソースオブジェクト


	//コンストラクタ
	MyGLSurfaceView(Context context){
	  super(context);
	  holder = getHolder();
	  holder.addCallback(this);
//	  resource = context.getResources();
	}





	//タッチ処理
	public boolean onTouchEvent(MotionEvent event){
	    if(event.getAction()==MotionEvent.ACTION_DOWN){
	        touchFlg = Touch.TOUCH_DOWN;
	        touchDownX = (int)event.getX();
	        touchDownY = (int)event.getY();
	        V2TouchPos.SetVector2((int)event.getX(),(int)event.getY());
	    }
	    if(event.getAction()  == MotionEvent.ACTION_UP){
	        touchFlg = Touch.TOUCH_UP;
	        touchUpX = (int)event.getX();
	        touchUpY = (int)event.getY();
	        V2TouchPos.SetVector2((int)event.getX(),(int)event.getY());
	    }
	    if(event.getAction()==MotionEvent.ACTION_MOVE){
	        touchFlg = Touch.TOUCH_MOVE;
	        touchMoveX = (int)event.getX();
	        touchMoveY = (int)event.getY();
	        V2TouchPos.SetVector2((int)event.getX(),(int)event.getY());
	    }
	    return true;
	}

}
