//-----------------------------------------------------------------
//MainRenderer Class
//OpenGL ES の根本となるクラス
//Copyright：TOMY
//Ver:1.000
//-----------------------------------------------------------------
package jp.denpa.tomy.opengl_es.wrap;


import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.FloatBuffer;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.opengl.GLSurfaceView;
import android.opengl.GLUtils;

import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

//import jp.denpa.tomy.games.MyView;
//import jp.denpa.tomy.games.R;
import jp.denpa.tomy.games.*;

//OpenGL の　Rendererに関するクラス　メインループもここでする（←？）

public class MainRenderer implements GLSurfaceView.Renderer{



//Taskの使用テスト----------------------------------------------------------------------------
	final int START 	=0;
	final int GAME 		=1;
	final int RESULT 	=2;

	Task[] tasks = new Task[3];



	public int State = START;
//-------------------------------------------------------------------------------------------



	public static int screenW;           //スクリーン座標
	public static int screenH;



	public  MainRenderer(Context ctext){

		Global.context = ctext;
	}



	//サーフェイス作成時の処理(サーフェイスが生成される際・または再生成される際に呼ばれる)
	@Override
	public void onSurfaceCreated(GL10 gl10, EGLConfig eglconfing){


	}

	//画面上のどの領域を使用するかの設定、あとポリゴン色とかの設定(サーフェイスのサイズ変更時に呼ばれる)
	@Override
	public void onSurfaceChanged(GL10 gl10, int w,int h ){
		this.screenW = w;
		this.screenH = h;

		Global.gl = gl10;

//Taskの使用テスト(本来はここでやらない予定)------------------------------------------------
		tasks[START] = new Start();
//		tasks[GAME]  = new Game();
//		tasks[RESULT]= new Result();

		//初期化
		tasks[State].Init();
//------------------------------------------------------------------------------------------


	}


	//毎フレーム描画処理
	@Override
	public void onDrawFrame(GL10 gl10){
		//背景塗りつぶし----------------------------------
		gl10.glClearColor(0.5f, 0.5f, 0.5f, 1.0f);
		gl10.glClear(GL10.GL_COLOR_BUFFER_BIT);
		//end---------------------------------------------

//Taskの使用テスト-------------------------------------------------------------------------
		tasks[State].Update();
		tasks[State].Draw();
//-----------------------------------------------------------------------------------------
	}

}